%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libdmx runtime library
Name: 		libdmx
Version: 	1.0.2
Release: 	3
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXext-devel
BuildRequires: 	libXau-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libdmx runtime library

%package devel
Summary: 	X.Org X11 libdmx development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# needed for dmx.pc
Requires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libdmx development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
       --disable-static
%endif

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libdmx.so.1
%{_libdir}/libdmx.so.1.0.0

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libdmx.a
%endif
%{_libdir}/libdmx.so
%{_libdir}/pkgconfig/dmx.pc
#%dir %{_mandir}/man3x
%{_mandir}/man3/*.3*

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-3
- rebuilt for xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-2
- rebuilt for xorg 7.2
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
